Get transaction
`meta.partial_result` semantics: the flag is true when the decode may be incomplete — specifically when (a) any protocol referenced by the transaction's activities has a missing or unhealthy indexing adapter, (b) normalized activity rows exist but the transaction record itself has not been indexed yet, or (c) the transaction record exists but produced no normalized activity rows. It is false only when the transaction record and at least one activity row are both present and every involved protocol's adapter is healthy.
meta.partial_result semantics: the flag is true when the decode may be
incomplete — specifically when (a) any protocol referenced by the
transaction's activities has a missing or unhealthy indexing adapter,
(b) normalized activity rows exist but the transaction record itself has
not been indexed yet, or (c) the transaction record exists but produced no
normalized activity rows. It is false only when the transaction record and
at least one activity row are both present and every involved protocol's
adapter is healthy.
Path Parameters
Stellar transaction hash. 64 lowercase hex characters (SHA-256 of the transaction envelope).
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/transactions/string"{ "data": { "activities": [ { "activity_type": "deposit", "address": "string", "amount": "string", "asset_decimals": 0, "asset_id": "string", "asset_symbol": "string", "contract": "string", "counterparty": "string", "id": "string", "ledger": 0, "metadata": null, "protocol": "string", "share_amount": "string", "share_type": "string", "timestamp": "2019-08-24T14:15:22Z", "tx_hash": "string", "usd_value": "string" } ], "ledger": 0, "protocols": [ "string" ], "summary": "string", "timestamp": "2019-08-24T14:15:22Z", "tx_hash": "string" }, "enrichment": { "assets": { "property1": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] }, "property2": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] } }, "contracts": { "property1": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" }, "property2": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" } } }, "meta": { "attribution_confidence": 0.1, "data_staleness_seconds": 0, "last_indexed_ledger": 0, "oracle_staleness_seconds": 0, "partial_result": true, "response_time_ms": 0, "sources": [ "soroban_rpc" ] }}